Bug 1336833 - Review Request: python-resultsdb_api - API to resultsdb
Summary: Review Request: python-resultsdb_api - API to resultsdb
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-17 14:14 UTC by Martin Krizek
Modified: 2016-06-18 18:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-01 20:22:42 UTC
james.hogarth: fedora-review+


Attachments (Terms of Use)

Description Martin Krizek 2016-05-17 14:14:59 UTC
Spec URL: https://mkrizek.fedorapeople.org/specs/resultsdb_api.spec
SRPM URL: https://mkrizek.fedorapeople.org/srpms/resultsdb_api-1.2.2-1.fc22.src.rpm
Description: API to resultsdb
FAS: mkrizek

This is the only remaining unpackaged dependency of libtaskotron (will be send for a package review after this is reviewed) [1].

[1] https://taskotron.fedoraproject.org/

Comment 1 James Hogarth 2016-05-23 14:49:04 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== ISSUES =====

  * No license file
    - Please file an issue upstream, or fix upstream
  * According to the Python Packaging Guidelines a library used by
    something else rather than a standalone application must
    by named with the python- prefix
    - change the name to python-resultsdb_api 
  * According to the PPG both the python- and python2- prefixes must
    be provided as provides
    - use  %python_provide to do this simply enough
  * There is no %check although thereis a testing directory which works manually
    - Please add a %check with suitable BuildRequires in place to make use of this
  * PPG requires python3 where possible
    - Checking upstream this is a python2 only project so this is fine


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v2 or later)", "GPL (v2 or later)",
     "Unknown or generated". 2 files have unknown license. Detailed output
     of licensecheck in /home/james/workspace/fedora-
     scm/1336833-resultsdb_api/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[!]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: resultsdb_api-1.2.2-1.fc25.noarch.rpm
          resultsdb_api-1.2.2-1.fc25.src.rpm
resultsdb_api.noarch: W: spelling-error Summary(en_US) api -> API, pi, ape
resultsdb_api.noarch: W: spelling-error %description -l en_US api -> API, pi, ape
resultsdb_api.src: W: spelling-error Summary(en_US) api -> API, pi, ape
resultsdb_api.src: W: spelling-error %description -l en_US api -> API, pi, ape
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
resultsdb_api.noarch: W: spelling-error Summary(en_US) api -> API, pi, ape
resultsdb_api.noarch: W: spelling-error %description -l en_US api -> API, pi, ape
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
resultsdb_api (rpmlib, GLIBC filtered):
    python(abi)
    python-requests
    python-simplejson



Provides
--------
resultsdb_api:
    resultsdb_api



Source checksums
----------------
https://qadevel.cloud.fedoraproject.org/releases/resultsdb_api/resultsdb_api-1.2.2.tar.gz :
  CHECKSUM(SHA256) this package     : 9128bf6beb81534bfc15fe23a3906167593e00b07a7bc7cca02069e3eb6c7bed
  CHECKSUM(SHA256) upstream package : 9128bf6beb81534bfc15fe23a3906167593e00b07a7bc7cca02069e3eb6c7bed


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1336833
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Martin Krizek 2016-05-25 08:34:19 UTC
Thanks for the review!

Here's updated version:
Spec URL: https://mkrizek.fedorapeople.org/specs/python-resultsdb_api.spec
SRPM URL: https://mkrizek.fedorapeople.org/srpms/python-resultsdb_api-1.2.2-2.fc23.src.rpm

Comment 3 James Hogarth 2016-05-25 10:02:21 UTC
I'm pretty busy during the day but a couple of quick observations for you to fix for the review:

You shouldn't have this at the start:
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

There is no fedora before 12 to build for, and I'd be surprised if EPEL5 was a target.

Obsoletes: resultsdb_api < %{version}-%{release}

Since resultsdb_api isn't in fedora it shouldn't be in the review spec

Comment 5 James Hogarth 2016-05-25 12:25:34 UTC
Thanks for cleaning up those issue points.

Happy with the fixes the review highlighted.

Package APPROVED

Comment 6 Gwyn Ciesla 2016-05-26 14:24:35 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-resultsdb_api

Comment 7 Fedora Update System 2016-05-26 19:46:09 UTC
python-resultsdb_api-1.2.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f02a31c029

Comment 8 Fedora Update System 2016-05-26 19:47:07 UTC
python-resultsdb_api-1.2.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bb935fa7df

Comment 9 Fedora Update System 2016-05-26 19:49:48 UTC
python-resultsdb_api-1.2.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-701730b750

Comment 10 Fedora Update System 2016-05-28 03:18:07 UTC
python-resultsdb_api-1.2.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-701730b750

Comment 11 Fedora Update System 2016-05-28 03:25:02 UTC
python-resultsdb_api-1.2.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bb935fa7df

Comment 12 Fedora Update System 2016-05-28 03:26:26 UTC
python-resultsdb_api-1.2.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f02a31c029

Comment 13 Fedora Update System 2016-06-01 20:22:39 UTC
python-resultsdb_api-1.2.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-06-14 02:49:36 UTC
python-resultsdb_api-1.2.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-06-18 18:56:49 UTC
python-resultsdb_api-1.2.2-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.